Skip to main content
GET
Get all users

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Query Parameters

take
number

The number of items to return

Required range: 1 <= x <= 1000
Example:

10

skip
number

The number of items to skip

Required range: x >= 0
Example:

0

emails
string[]

The email address or an array of email addresses to filter by

Example:
assignedOptionIds
string[]

Filter by assigned attribute option ids. ids must be separated by a comma.

Example:

"?assignedOptionIds=aaaaaaaa-bbbb-cccc-dddd-eeeeee1eee,aaaaaaaa-bbbb-cccc-dddd-eeeeee2eee"

attributeQueryOperator
enum<string>
default:AND

Query operator used to filter assigned options, AND by default.

Available options:
OR,
AND,
NONE
Example:

"NONE"

teamIds
number[]

Filter by teamIds. Team ids must be separated by a comma.

Example:

"?teamIds=100,200"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required